///////////////////////////////////////////////
// obj_tanker.shader by *Mr.G* (11oct-2009) //
/////////////////////////////////////////////


//////////sky//////////


textures/obj_tanker/smallstar3
{
	qer_editorimage textures/mrg_skies/smallstar3_up.jpg
	q3map_lightrgb 0.7 0.85 1.0
	q3map_sun 0.7 0.85 1.0 40 45 45
	q3map_lightmapFilterRadius 0 16
	q3map_skylight 90 3
	q3map_nofog
	nofog

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
    
	skyparms textures/mrg_skies/smallstar3 512 -
	sunshader textures/skies_sd/full_moon2

	{
		fog off
		clampmap textures/mrg_skies/mask.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		
		rgbGen const ( 0 0 0.05 )
	}
}

//////////fog//////////


textures/obj_tanker/fog1
{
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0.4 0.8 0.4 ) 1800 //512
}


///////////liquids//////////


textures/obj_tanker/water_green1
{
	nocompress
	qer_editorimage textures/mrg/water_green1.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/mrg/water_black2.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll .04 .001
	}
	
	{ 
		fog on
		map textures/mrg/water_green1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.3 0.3 //0.01 0.01
		tcmod scroll -.01 -.001
	}
	
	{ 
		fog on
		map textures/mrg/water_green1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.01 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.005 -.001
	}
}

textures/obj_tanker/water_black_blended
{
	nocompress
	qer_editorimage textures/mrg/water_black1.tga
	qer_trans .6
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.0 0.0 0.05 ) 0.2
	{ 
		fog on
		map textures/mrg/water_black1.tga
		blendFunc blend
		depthWrite
		rgbgen identity
		tcmod scale 1 1
		tcmod scroll .06 .001 
	}
	{ 
		fog on
		map textures/mrg/water_black2.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{
		fog on
		blendFunc blend
		alphaGen vertex
		map $whiteimage
		rgbGen const ( 0 0 0.05 ) 
	}
}

//////////


textures/obj_tanker/ladder
{
	qer_editorimage textures/obj_tanker/ladder.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map textures/obj_tanker/ladder.tga
		alphaFunc GE128
		rgbGen identity
	}
}

textures/obj_tanker/grid_diamond2
{
	qer_editorimage textures/mrg/grid_diamond2.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks		
	cull none
	nopicmip
	nomipmaps
        
	{
		map textures/mrg/grid_diamond2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//////////surfaceparms//////////


textures/obj_tanker/old_metal
{
        qer_editorimage textures/obj_tanker/old_metal.jpg
        surfaceparm mat_steel
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/old_metal.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/metal_01a
{
        qer_editorimage textures/obj_tanker/metal_01a.jpg
        surfaceparm mat_steel
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/metal_01a.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/metal_01c
{
        qer_editorimage textures/obj_tanker/metal_01c.jpg
        surfaceparm mat_steel
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/metal_01c.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/metal_02a
{
        qer_editorimage textures/obj_tanker/metal_02a.jpg
        surfaceparm mat_steel
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/metal_02a.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/metal_02b
{
        qer_editorimage textures/obj_tanker/metal_02b.jpg
        surfaceparm mat_steel
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/metal_02b.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/redzone
{
        qer_editorimage textures/obj_tanker/redzone.jpg
        surfaceparm mat_metal
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/redzone.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/sign_01
{
        qer_editorimage textures/obj_tanker/sign_01.jpg
        surfaceparm mat_metal
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/sign_01.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/sign_02
{
        qer_editorimage textures/obj_tanker/sign_02.jpg
        surfaceparm mat_metal
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/sign_02.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/sign_03
{
        qer_editorimage textures/obj_tanker/sign_03.jpg
        surfaceparm mat_metal
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/sign_03.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/window14c
{
        qer_editorimage textures/obj_tanker/window14c.jpg
        surfaceparm mat_glass
        {
	map $lightmap
	rgbGen identity
        }
        {
	map textures/obj_tanker/window14c.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}

textures/obj_tanker/locker
{
        qer_editorimage models/mapobjects/liq/locker.jpg
        surfaceparm mat_tin
        {
	map $lightmap
	rgbGen identity
        }
        {
	map models/mapobjects/liq/locker.jpg
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}


//////////decals//////////


textures/obj_tanker/pinup_aug2009
{
	qer_editorimage textures/mrg_decals/pinup_aug2009.tga
	qer_trans 0.90
	polygonOffset
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/mrg_decals/pinup_aug2009.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/obj_tanker/graf_mrg5
{
	qer_editorimage textures/mrg_decals/graf_mrg5.tga
	qer_trans 0.60
	polygonOffset
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map textures/mrg_decals/graf_mrg5.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/obj_tanker/stair_sign
{
	qer_editorimage textures/mrg_decals/stair_sign.tga
	qer_trans 0.90
	polygonOffset
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	
	{
		map textures/mrg_decals/stair_sign.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/obj_tanker/elm_street
{
	qer_editorimage textures/mrg_decals/elm_street.tga
	qer_trans 0.90
	polygonOffset
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/mrg_decals/elm_street.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/obj_tanker/friday13th
{
	qer_editorimage textures/mrg_decals/friday13th.tga
	qer_trans 0.90
	polygonOffset
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/mrg_decals/friday13th.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/obj_tanker/graf_fragator
{
	qer_editorimage textures/mrg_decals/graf_fragator.tga
	qer_trans 0.90
	polygonOffset
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/mrg_decals/graf_fragator.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}

textures/obj_tanker/fringe_md
{
	qer_editorimage textures/mrg_decals/fringe_md.tga
	qer_trans 0.90
	polygonOffset
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/mrg_decals/fringe_md.tga
		blendFunc blend
		rgbGen vertex
		alphaGen vertex
	}
}


//////////surface light///////////


textures/obj_tanker/light_small3
{
	qer_editorimage textures/mrg_light/light_small3.jpg
	q3map_surfacelight 2000
	{
	map textures/mrg_light/light_small3.jpg
       }
}


//////////models//////////


models/mapobjects/dt_aa_mm/dt_aatool
{
        surfaceparm mat_metal
        {
	map $lightmap
	rgbGen identity
        }
        {
	map models/mapobjects/dt_aa_mm/dt_aatool.tga
	blendFunc GL_dst_COLOR GL_ZERO
	rgbGen identity
	}
}


//////////misc//////////

textures/obj_tanker/comp3b
{
	qer_editorimage textures/obj_tanker/comp3b
	q3map_lightimage textures/obj_tanker/comp3textb.tga
        q3map_surfacelight 1000
        {
		map textures/obj_tanker/comp3textb.tga
	        rgbGen identity
		tcmod scroll 3 3
	}
	      
        {
		map textures/obj_tanker/comp3env.tga
                tcGen environment
                blendFunc GL_ONE GL_ONE
                rgbGen wave sin .98 .02 0 5
	}
	
	{
		map $lightmap
                tcGen environment
                blendFunc GL_DST_COLOR GL_ONE
	}


	{
		map textures/obj_tanker/comp3b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
       
	{
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}